Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize /usr/bin/glib-mkenums /usr/bin/gtkdocize gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global tomoe_ver 0.6.0

Name:           tomoe-gtk
Version:        %{tomoe_ver}
Release:        alt3_44
Summary:        Gtk library for tomoe for Japanese and Chinese handwritten input

License:        LGPL-2.0-or-later
URL:            https://sourceforge.net/projects/tomoe/
Source0:        http://downloads.sourceforge.net/project/tomoe/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.6.0-rpath.patch
Patch1:         %{name}-0.6.0-cflags.patch

Requires:       tomoe >= %{tomoe_ver}
Obsoletes:      libtomoe-gtk < 0.6.0-4
Provides:       libtomoe-gtk = %{version}-%{release}
BuildRequires:  libtool
BuildRequires:  autoconf, automake
BuildRequires:  tomoe-devel >= %{tomoe_ver} gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
# does not currently build with gucharmap-2
#BuildRequires:  gucharmap-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gettext-tools
Source44: import.info

%description
Gtk library for tomoe Japanese handwritten input.
This package is used by scim-tomoe or uim-tomoe.


%package devel
Group: Development/Other
Summary:    Gtk library for tomoe Japanese handwritten input
Requires:   %{name} = %{version}-%{release}
Requires:   gtk-builder-convert gtk-demo
Obsoletes:  libtomoe-gtk-devel < 0.6.0-4
# added for F10
Provides:   libtomoe-gtk-devel = %{version}-%{release}


%description devel
The libtomoe-devel package includes the header files for libtomoe-gtk.
Install this if you want to develop programs which will use libtomoe-gtk.


%prep
%setup -q
%patch0 -p0 -b .rpath
%patch1 -p0 -b .cflags

%build
autoreconf -ivf
%configure --disable-static --without-gucharmap --disable-dependency-tracking \
  --disable-rpath --with-python=no
%make_build CFLAGS="$RPM_OPT_FLAGS" 
cd po
mkdir -p locale
for p in *.po;do
    loc=$(basename $p .po)
    mkdir -p locale/$loc/LC_MESSAGES
    msgfmt $p -o locale/$loc/LC_MESSAGES/%{name}.mo
done
cd ..

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}
cp -R po/locale $RPM_BUILD_ROOT/%{_datadir}

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}





%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/tomoe/*
%{_datadir}/gtk-doc/html/lib%{name}/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_44
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_43
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_42
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_40
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_39
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_38
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_37
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt3_36
- update to new release by fcimport

* Fri Jan 15 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt2_36
- fixed build

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_36
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_35
- update to new release by fcimport

* Sat Sep 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_34
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_33
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_32
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_29
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_28
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_26
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_25
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_24
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_21
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_20
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_19
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_18
- initial fc import

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_17
- initial fc import

